Package org.mariadb.jdbc.type

## Class MultiPoint

- java.lang.Object
- - org.mariadb.jdbc.type.MultiPoint

All Implemented Interfaces:
  `Geometry`

    public class MultiPoint
    extends Object
    implements Geometry

### Constructor Summary

Constructors
`MultiPoint​(Point[] points)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`Point[]` `getPoints()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MultiPoint

    public MultiPoint​(Point[] points)

### Method Detail

#### getPoints

    public Point[] getPoints()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`